<?php
saxue_includedb();
class saxuemembermessage extends saxueobjectdata {
		function saxuemembermessage() {
				$this -> initvar( "messageid", SAXUE_TYPE_INT, 0, "短信ID", false, 11 );
				$this -> initvar( "postdate", SAXUE_TYPE_INT, 0, "发送时间", false, 10 );
				$this -> initvar( "fromid", SAXUE_TYPE_INT, 0, "发送人ID", false, 11 );
				$this -> initvar( "fromname", SAXUE_TYPE_TXTBOX, "", "发送人用户名", false, 20 );
				$this -> initvar( "toid", SAXUE_TYPE_INT, 0, "接收人ID", false, 11 );
				$this -> initvar( "toname", SAXUE_TYPE_TXTBOX, "", "接收人用户名", false, 20 );
				$this -> initvar( "title", SAXUE_TYPE_TXTBOX, "", "短信标题", false, 50 );
				$this -> initvar( "content", SAXUE_TYPE_TXTAREA, "", "短信内容", false, null );
				$this -> initvar( "isread", SAXUE_TYPE_INT, 0, "是否已读", false, 1 );
				$this -> initvar( "fromdel", SAXUE_TYPE_INT, 0, "发件人删除标识", false, 1 );
				$this -> initvar( "todel", SAXUE_TYPE_INT, 0, "接收人删除标识", false, 1 );
		} 
} 

class saxuemembermessagehandler extends saxueobjecthandler {
		function saxuemembermessagehandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "membermessage";
				$this -> autoid = "messageid";
				$this -> dbname = "member_message";
		} 
}